## heat 13.0.0

=== debian/changelog ===
heat (1:13.0.0-4) unstable; urgency=medium

  * Update nl.po debconf translation (Closes: #945029).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2019 14:00:05 +0100

heat (1:13.0.0-3) unstable; urgency=medium

  * Add debconf screen to enable / disable configuring heat's domain through
    debconf, avoiding many screens and eventually writing unwanted empty
    password to the configuration file.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Oct 2019 17:25:45 +0100

heat (1:13.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 00:54:43 +0200

heat (1:13.0.0-1) experimental; urgency=medium

  * Added ru.po debconf translation (Closes: #920926).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:13:59 +0200

heat (1:13.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 11:50:26 +0200

heat (1:12.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:49:43 +0200

heat (1:12.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99
  * d/copyright: Update year

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 17:24:49 +0200

heat (1:12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:36:41 +0200

heat (1:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions satisfied in Buster.
  * Removed 2 patches applied upstream.
  * Add usr/bin/heat-status.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 13:35:25 +0100

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-blazarclient,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-cryptography,
 python3-designateclient,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-lxml,
 python3-magnumclient,
 python3-manilaclient,
 python3-migrate,
 python3-mistralclient,
 python3-mock,
 python3-monascaclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.40.3),
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-saharaclient,
 python3-senlinclient,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-tz,
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 subunit,
 tempest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - API server
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-heat (=${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-blazarclient,
 python3-cinderclient,
 python3-croniter,
 python3-cryptography,
 python3-designateclient,
 python3-eventlet,
 python3-glanceclient,
 python3-greenlet,
 python3-heatclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-magnumclient,
 python3-manilaclient,
 python3-memcache,
 python3-migrate,
 python3-mistralclient,
 python3-monascaclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstacksdk,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.40.3),
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-saharaclient,
 python3-senlinclient,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-troveclient,
 python3-tz,
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_clean:
	dh_clean
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart debian/*.templates
	rm -f debian/heat-common.postinst debian/heat-common.config debian/heat-api.config debian/heat-api.postinst debian/heat-api-cfn.config debian/heat-api-cfn.postinst debian/heat-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm heat-common.postrm
	pkgos-merge-templates heat-api heat endpoint
	pkgos-merge-templates heat-api-cfn heat-api-cfn endpoint
	pkgos-merge-templates heat-common heat db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'heat\.tests\.(?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync).*'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace heat.common.config \
		--namespace heat.common.context \
		--namespace heat.common.crypt \
		--namespace heat.engine.clients.os.keystone.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
                --namespace oslo.middleware \
		--namespace oslo.db \
		--namespace oslo.log \
                --namespace oslo.policy \
                --namespace oslo.service.service \
                --namespace oslo.service.periodic_task \
                --namespace oslo.service.sslutil \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf keystone_authtoken heat

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output $(CURDIR)/debian/heat-common/usr/share/heat-common/policy.json \
		--format json \
		--namespace heat

	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	# Fixup a few default for the [trustee] config
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee auth_type password
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee user_domain_name default

	dh_install
	dh_missing -Xbin/cinder-keystone-setup --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
#	sed -i 's|usr/bin/env python|usr/bin/env python3|' $(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages/heat_integrationtests/install-requirements

## heat 13.0.1

=== debian/changelog ===
heat (1:13.0.1-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * d/watch: Update to point at tarballs.opendev.org.
  * New stable point release for OpenStack Train (LP: #1879725).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 20 May 2020 15:15:09 +0000

heat (1:13.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:35:32 +0100

heat (1:13.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 13.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 10:23:47 -0400

heat (1:13.0.0~b2~git2019073114.4563f0d0d-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 14:30:44 +0200

heat (1:13.0.0~b1~git2019061420.28dd8117b-0ubuntu2) eoan; urgency=medium

  * d/control: Drop (Build-)Depends on python3-ceilometerclient as it is
    no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jul 2019 13:53:42 -0400

heat (1:13.0.0~b1~git2019061420.28dd8117b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.
  * d/copyright: Tidy lintian warnings.
  * d/rules: Drop python3- prefix from oslo-config-generator usage.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Jun 2019 07:42:06 +0100

## heat 13.1.0

=== debian/changelog ===
heat (1:13.1.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Train (LP: #1900476).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 14:58:37 -0400

heat (1:13.0.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1883892).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 17 Jun 2020 12:43:30 +0000

heat (1:13.0.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 26 May 2020 22:43:54 +0000

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kombu (>= 4.0.0),
 python3-lxml (>= 3.4.1),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-openstacksdk (>= 0.11.2),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-pastedeploy (>= 1.5.0),
 python3-psycopg2 (>= 2.7),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 4.4.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 python3-zunclient (>= 2.0.0),
 subunit,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
Homepage: https://wiki.openstack.org/Heat
Testsuite: autopkgtest-pkg-python

Package: heat-api
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 heat-common (=${binary:Version}),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.11.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstacksdk (>= 0.11.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 0.3.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 4.4.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-zunclient (>= 2.0.0),
Description: OpenStack orchestration service - Python 3 files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 heat-api (<< 1:11.0.0~rc1-0ubuntu3~),
 heat-api-cfn (<< 1:11.0.0~rc1-0ubuntu3~),
 heat-engine (<< 1:11.0.0~rc1-0ubuntu3~),
Replaces:
 heat-api (<< 1:11.0.0~rc1-0ubuntu3~),
 heat-api-cfn (<< 1:11.0.0~rc1-0ubuntu3~),
 heat-engine (<< 1:11.0.0~rc1-0ubuntu3~),
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat openstack-heat-(13\.\d.*)\.tar\.gz

## heat 14.0.0~b2~git2020021413.94bdcd8c9

=== debian/changelog ===
heat (1:14.0.0~b2~git2020021413.94bdcd8c9-0ubuntu2) focal; urgency=medium

  * d/py3dist-overrides: Add python-vitrageclient as we have it in Suggests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Feb 2020 13:13:44 -0500

heat (1:14.0.0~b2~git2020021413.94bdcd8c9-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 13:40:37 -0500

heat (1:14.0.0~b1~git2019121613.7b606461e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 13:24:54 -0500

## heat 14.0.0~b3~git2020041012.2ef9f4bf3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cryptography>=2.1 # BSD/Apache-2.0
eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
keystoneauth1>=3.18.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
netaddr>=0.7.18 # BSD
neutron-lib>=1.14.0  # Apache-2.0
openstacksdk>=0.11.2 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
aodhclient>=0.9.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-blazarclient>=1.0.1 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-magnumclient>=2.3.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=6.14.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-octaviaclient>=1.8.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
python-saharaclient>=1.4.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-vitrageclient>=2.7.0 # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0
python-zunclient>=3.4.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=4.4.0 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
yaql>=1.1.3 # Apache 2.0 License

=== debian/changelog ===
heat (1:14.0.0~b3~git2020041012.2ef9f4bf3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/heat-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:00:14 -0400

heat (1:14.0.0~b3~git2020032414.d8354d908-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/heat-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:51:59 -0400

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,13 @@
  Mehdi Abaakouk <sileht@sileht.net>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  bandit,
  python3-aodhclient (>= 0.9.0),
@@ -43,7 +40,7 @@
  python3-greenlet (>= 0.4.10),
  python3-hacking (>= 0.12.0),
  python3-heatclient (>= 1.10.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.18.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-kombu (>= 4.0.0),
@@ -57,9 +54,9 @@
  python3-mox3 (>= 0.20.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron-lib (>= 1.14.0),
- python3-neutronclient (>= 1:6.7.0),
+ python3-neutronclient (>= 1:6.14.0),
  python3-novaclient (>= 2:9.1.0),
- python3-octaviaclient (>= 1.3.0),
+ python3-octaviaclient (>= 1.8.0),
  python3-openstackclient (>= 3.12.0),
  python3-openstackdocstheme (>= 1.20.0),
  python3-openstacksdk (>= 0.11.2),
@@ -108,15 +105,16 @@
  python3-testtools (>= 2.2.0),
  python3-troveclient (>= 1:2.2.0),
  python3-tz (>= 2013.6),
+ python3-vitrageclient (>= 2.7.0),
  python3-webob (>= 1:1.7.1),
  python3-yaml (>= 3.12),
  python3-yaql (>= 1.1.3),
  python3-zaqarclient (>= 1.3.0),
- python3-zunclient (>= 2.0.0),
+ python3-zunclient (>= 3.4.0),
  subunit,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/heat
 Homepage: https://wiki.openstack.org/Heat
 Testsuite: autopkgtest-pkg-python
 
@@ -183,7 +181,7 @@
  python3-gnocchiclient (>= 3.3.1),
  python3-greenlet (>= 0.4.10),
  python3-heatclient (>= 1.10.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.18.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-lxml (>= 3.4.1),
@@ -194,9 +192,9 @@
  python3-monascaclient (>= 1.12.0),
  python3-netaddr (>= 0.7.18),
  python3-neutron-lib (>= 1.14.0),
- python3-neutronclient (>= 1:6.7.0),
+ python3-neutronclient (>= 1:6.14.0),
  python3-novaclient (>= 2:9.1.0),
- python3-octaviaclient (>= 1.3.0),
+ python3-octaviaclient (>= 1.8.0),
  python3-openstackclient (>= 3.12.0),
  python3-openstacksdk (>= 0.11.2),
  python3-oslo.cache (>= 1.26.0),
@@ -237,7 +235,8 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-zunclient (>= 2.0.0),
+ python3-vitrageclient (>= 2.7.0),
+ python3-zunclient (>= 3.4.0),
 Description: OpenStack orchestration service - Python 3 files
  Heat is a service to orchestrate multiple composite cloud applications using
  templates, through both an OpenStack-native ReST API and a

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=heat

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 '^(?!heat_integrationtests)'
endif

override_dh_clean:
	dh_clean
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-heat/usr/etc
	PYTHONPATH=$(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages \
		oslo-config-generator --config-file=config-generator.conf \
		--output-file etc/heat/heat.conf
	dh_install

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/heat openstack-heat-(13\.\d.*)\.tar\.gz

## heat 14.2.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 croniter>=0.3.4 # MIT License
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=2.1.4 # BSD/Apache-2.0
 eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
 keystoneauth1>=3.18.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
@@ -38,6 +38,7 @@
 python-designateclient>=2.7.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
+python-ironicclient>=2.8.0  # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-magnumclient>=2.3.0 # Apache-2.0
 python-manilaclient>=1.16.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.20.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD

=== debian/changelog ===
heat (1:14.2.0-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: information leak in API
    - debian/patches/CVE-2023-1625.patch: honor 'hidden' parameter in
      'stack environment show' command in heat/engine/service.py,
      heat/tests/test_engine_service.py.
    - CVE-2023-1625

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Apr 2023 07:33:23 -0400

heat (1:14.2.0-0ubuntu1) focal; urgency=medium

  * d/watch: Add trailing slash to URL.
  * New stable point release for OpenStack Ussuri (LP: #1943712).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 17 Sep 2021 10:05:08 +0000

heat (1:14.1.0-0ubuntu1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Ussuri (LP: #1900477).
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed in
    stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 14:37:07 -0400

heat (1:14.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 14.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/727181/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 16:51:44 -0400

=== debian/tests/control ===
Tests: heat-daemons
Depends: heat-engine, heat-api, heat-api-cfn
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat/ openstack-heat-(14\.\d.*)\.tar\.gz
